package com.simuwang.base.pojo.dto;

import lombok.Data;

import java.io.Serializable;


@Data
public class EmailContentInfoDTO implements Serializable, Cloneable {

    private static final long serialVersionUID = 202104140906313753L;

    /**
     * 邮件id(重新解析邮件功能)
     */
    private Integer emailId;
    /**
     * 邮箱地址
     */
    private String emailAddress;

    /**
     * 邮件主题
     */
    private String emailTitle;

    /**
     * 邮件日期:yyyyMMdd HH:mm:ss
     */
    private String emailDate;

    /**
     * 解析时间
     */
    private String parseDate;

    /**
     * 附件名称
     */
    private String fileName;

    /**
     * 附件地址
     */
    private String filePath;

    /**
     * 文件类型:1-净值文件,2-估值表文件,3-定期报告
     */
    private Integer emailType;

    /**
     * 邮件内容
     */
    private String emailContent;

    /**
     * 邮件发送人
     */
    private String senderEmail;

    /**
     * 文件id(重新解析邮件功能)
     */
    private Integer fielId;
}

