package com.simuwang.manage.service;

import com.simuwang.base.common.support.MybatisPage;
import com.simuwang.base.pojo.dto.ExcelDeletionInfoDTO;
import com.simuwang.base.pojo.dto.query.DeletionPageQuery;
import com.simuwang.base.pojo.dto.query.FundDeletionPageQuery;
import com.simuwang.base.pojo.vo.DeletionInfoVO;
import com.simuwang.base.pojo.vo.FundDeletionInfoVO;
import com.simuwang.base.pojo.vo.FundDeletionListVO;
import com.simuwang.base.pojo.vo.FundDeletionRemarkVO;

import java.util.List;

/**
 * FileName: DeletionService
 * Author:   chenjianhua
 * Date:     2024/9/17 18:54
 * Description: ${DESCRIPTION}
 */
public interface DeletionService {
    MybatisPage<DeletionInfoVO> searchDeletionList(DeletionPageQuery deletionPageQuery);

    MybatisPage<FundDeletionInfoVO> searchFundDeletionList(FundDeletionPageQuery fundDeletionPageQuery);

    void saveFundDeletionList(List<FundDeletionInfoVO> fundDeletionInfoVOList);

    void saveBatchDeletionRemark(FundDeletionRemarkVO fundDeletionRemarkVO);

    List<ExcelDeletionInfoDTO> selectFundDeletionInfoVOList(FundDeletionListVO fundDeletionListVO);
}
