package com.simuwang.manage.api.email;

import com.simuwang.base.common.support.MybatisPage;
import com.simuwang.base.pojo.dto.query.ParseDetailPageQuery;
import com.simuwang.base.pojo.vo.EmailFundNavVO;
import com.simuwang.manage.service.ParseEmailDetailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 *  数据详情
 * Author:   chenjianhua
 * Date:     2024/9/10 11:21
 * Description: ${DESCRIPTION}
 */
@RestController
@RequestMapping("/v1/nav")
public class EmailNavDetailController{

    @Autowired
    private ParseEmailDetailService parseEmailDetailService;
    /**
     * 净值解析数据详情页面展示查询接口
     * @param parseDetailPageQuery
     * @return
     */
    @GetMapping("/search-nav-detail")
    public MybatisPage<EmailFundNavVO> searchNavDetail(ParseDetailPageQuery parseDetailPageQuery){
        MybatisPage<EmailFundNavVO> result = parseEmailDetailService.searchNavDetail(parseDetailPageQuery);
        return result;
    }


}
